## NAME

d.northarrow - Displays a north arrow on the graphics monitor.

## KEYWORDS

display, cartography

## SYNOPSIS

d.northarrow
d.northarrow --help
d.northarrow [-t] [style=string] [at=x,y] [color=name] [fill_color=name] [width=float] [fontsize=float] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-t
  Draw the symbol without text
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

style=string
  North arrow style
  Options: 1a, 1b, 2, 3, 4, 5, 6, 7a, 7b, 8a, 8b, 9, fancy_compass, basic_compass
  Default: 1a
at=x,y
  Screen coordinates of the rectangle's top-left corner
  (0,0) is lower-left of the display frame
  Options: 0-100
  Default: 85.0,15.0
color=name
  Line color
  Either a standard color name or R:G:B triplet
  Default: black
fill_color=name
  Fill color
  Either a standard color name, R:G:B triplet, or "none"
  Default: black
width=float
  Line width
  Default: 0
fontsize=float
  Font size
  Options: 1-360
  Default: 14

## DESCRIPTION

d.northarrow displays a north arrow symbol the graphics monitor at the given screen coordinates. If no coordinates are given it will draw the north arrow in the bottom right of the display. It can draw the north arrow in a number of styles (see the wiki page for details).

## TODO

Add options to use an arbitrary rotation angle for when grid north and true north diverge, and add a flag to calculate that convergence angle and apply the rotation automatically.

## SEE ALSO

d.barscale, d.graph, d.grid, d.legend

## AUTHOR

Hamish Bowman, Department of Geology, University of Otago, New Zealand

Last changed: $Date: 2013-09-19 08:08:54 +0200 (Thu, 19 Sep 2013) $

Main index | Display index | Topics index | Keywords index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.0.4 Reference Manual